sfcode An Online Competing and Development Environment

import-fresh

> Import a module while bypassing the cache

Useful for testing purposes when you need to freshly import a module.

# Install

$ npm install --save import-fresh

# Usage

// foo.js
let i = 0;
module.exports = () => ++i;
const importFresh = require('import-fresh');
require('./foo')();
//=> 1
require('./foo')();
//=> 2
importFresh('./foo')();
//=> 1
importFresh('./foo')();
//=> 1

# Related

- clear-module - Clear a module from the import cache
- import-from - Import a module from a given path
- import-cwd - Import a module from the current working directory
- import-lazy - Import modules lazily

# License

MIT © Sindre Sorhus